##' Calculate association statistics between metabolite and transcrips
##' using time-series data.
##'
##'
##' \tabular{ll}{
##' Package: \tab trainmet \cr
##' Type: \tab Package \cr
##' Version: \tab 0.0.1 \cr
##' Date: \tab 2011-03-23 \cr
##' Depends: \tab Biobase, pls \cr
##' License: \tab GPL (>=3) \cr
##' LazyLoad: \tab yes \cr
##' }
##'
##' A package for calculating association statistics between
##' metabolites and transcripts via classical correlation methods and
##' (via an external Python script) Hidden Markov Models.
##'
##' @name trainmet
##' @aliases trainmet
##' @docType package
##' @title Metabolite-transcript co-responses
##' @author Henning Redestig \email{henning.red@@gmail.com}
NULL

##' GC-MS dataset of galactose synthesis related metabolites during
##' high CO2 stress in Arabidopsis thaliana.
##' @title Cold stress (metabolites)
##' @name mdat
##' @aliases mdat
##' @usage data(mdat)
##' @docType data
##' @keywords datasets
##' @references
##' Dutta, B., Kanani, H., Quackenbush, J., and Klapa,
##' M. I. (2009). Time-series integrated omic analyses to elucidate
##' short-term stress-induced responses in plant liquid
##' cultures. Biotechnol Bioeng, 102(1), 264-279.
##' @author Henning Redestig 
NULL

##' Microarray dataset of gene expression during severe cold stress in
##' Arabidopsis thaliana. The dataset is an excerpt of galactose
##' metabolism related genes and an additional 990 random transcripts.
##' @title Cold stress (transcripts)
##' @name tdat
##' @aliases tdat
##' @usage data(tdat)
##' @docType data
##' @references
##' Dutta, B., Kanani, H., Quackenbush, J., and Klapa,
##' M. I. (2009). Time-series integrated omic analyses to elucidate
##' short-term stress-induced responses in plant liquid
##' cultures. Biotechnol Bioeng, 102(1), 264-279.
##' @keywords datasets
##' @author Henning Redestig
NULL


